# Interface CacheItem

interface CacheItem {
active: boolean;
featureNS: string;
featurePrefix: string;
features: Collection<Feature<Geometry>>;
interaction: Snap;
maxFeatures: number;
requestDeferred: IDeferred<unknown>;
snappingConfig: GmfSnappingConfig;
stateWatcherUnregister: Function;
treeCtrl: LayertreeController;
wfsConfig: WFSConfig;
}

- Defined in src/editing/Snapping.js:830

#####
Index

### Properties

active
featureNS
featurePrefix
features
interaction
maxFeatures
requestDeferred
snappingConfig
stateWatcherUnregister
treeCtrl
wfsConfig

##
Properties

### active

active: boolean

- Defined in src/editing/Snapping.js:831

### featureNS

featureNS: string

- Defined in src/editing/Snapping.js:832

### featurePrefix

featurePrefix: string

- Defined in src/editing/Snapping.js:833

### features

features: Collection<Feature<Geometry>>

- Defined in src/editing/Snapping.js:834

### interaction

interaction: Snap

- Defined in src/editing/Snapping.js:835

### maxFeatures

maxFeatures: number

- Defined in src/editing/Snapping.js:836

### requestDeferred

requestDeferred: IDeferred<unknown>

- Defined in src/editing/Snapping.js:837

### snappingConfig

snappingConfig: GmfSnappingConfig

- Defined in src/editing/Snapping.js:838

### stateWatcherUnregister

stateWatcherUnregister: Function

- Defined in src/editing/Snapping.js:839

### treeCtrl

treeCtrl: LayertreeController

- Defined in src/editing/Snapping.js:840

### wfsConfig

wfsConfig: WFSConfig

- Defined in src/editing/Snapping.js:841